Solid Edge Assembly Type Library
Add Method
Specifies the assembly reference plane to which the new Layout will be associated.
Specifies how to handle the case when a Layout already exists for the specified AsmRefPlane object. If True, the method returns the existing Layout. If False, the method returns nothing but fills the optional argument "Status", if specified, with seLayoutFailedBecauseOfExisting.
Member of the LayoutStatusConstants constant set to specify the status of the method.
Description
Adds an occurrence of the Layout object.
Syntax
Visual Basic
Public Function Add( _
   ByVal AsmRefPlane As AsmRefPlane, _
   Optional ByVal ReturnExisting As Variant, _
   Optional ByRef Status As Variant _
) As Layout
Parameters
AsmRefPlane
Specifies the assembly reference plane to which the new Layout will be associated.
ReturnExisting
Specifies how to handle the case when a Layout already exists for the specified AsmRefPlane object. If True, the method returns the existing Layout. If False, the method returns nothing but fills the optional argument "Status", if specified, with seLayoutFailedBecauseOfExisting.
Status
Member of the LayoutStatusConstants constant set to specify the status of the method.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objRefPlane As SolidEdgeAssembly.AsmRefPlane
    Dim objLayouts As SolidEdgeAssembly.Layouts
    Dim objLayout As SolidEdgeAssembly.Layout
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Layout Collection object from the Document
    Set objLayouts = objDoc.Layouts
    'Get the x-y refplane
    Set objRefPlane = objDoc.RefPlanes(Index:=1)
    'Create a new layout
    Set objLayout = objLayouts.Add(AsmRefPlane:=objRefPlane)
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLayouts = Nothing
    Set objLayout = Nothing
    Set objRefPlane = Nothing
End Sub
See Also

Layouts Collection  | Layouts Members

Send comments on this topic.